License Management
This API is used for managing Licenses. Various operations listed below are supported by this API:
SPLIT: Create a split license from a given default license (allowed only for Direct Customer)CREATE: Create license for given subscription (allowed only for Provider)UPDATE: Update name or quantity of a licenseDELETE: Delete a license
ID of the tenant
{
"operation": "SPLIT",
"license_split_request": [
{
"source_license_id": "b315e640-f4c5-4f42-a8f9-450312eae2f9",
"name": "Name",
"quantity": 70
}
]
}
The operation to perform for a license, options are:
SPLIT: Create a split license from a given default license (allowed only for Direct Customer)CREATE: Create license for given subscription (allowed only for Provider)UPDATE: Update name or quantity of a licenseDELETE: Delete a license
Request json to create a new split license.
Request json to create a new license.
Request json to update a license.
Request json to delete one or more licenses
OK
{
"operation": "SPLIT",
"license_split_response": [
{
"id": "b315e640-f4c5-4f42-a8f9-450312eae2f9",
"name": "Split license - VMware Cloud Foundation (cores) - 6",
"quantity": 900,
"status": "ACTIVE",
"next_expiry_date": "2026-10-19T10:46:58Z",
"product": {
"name": "VMware Cloud Foundation (cores)",
"uom": "CORE",
"uom_display_name": "Cores",
"product_name": "VMware Cloud Foundation",
"type": "BASE"
},
"is_default": false,
"subscriptions": [
{
"id": "3da7c8ab-89b0-4c0a-8a87-291d884a248f",
"serial_number": "411001-1",
"end_date": "2035-01-01T07:59:59Z",
"quantity": 50000
}
]
}
]
}
The operation to perform for a license, options are:
SPLIT: Create a split license from a given default license (allowed only for Direct Customer)CREATE: Create license for given subscription (allowed only for Provider)UPDATE: Update name or quantity of a licenseDELETE: Delete a license
license_split_response
license_create_response
license_update_response
Response of the delete license operation.
Possible error responses include:
- LICENSES_WITH_DIFFERENT_PRODUCTS_NOT_ALLOWED : Licenses to be deleted should belong to the same product .
- LICENSE_QUANTITY_LESS_THAN_CONSUMPTION_QUANTITY_NOT_ALLOWED : License quantity can not be updated to less than consumption quantity for license id 1151c020-e762-483e-aff5-d6686bb8f7c1, requested quantity 100, consumed quantity 150.
- CONSUMED_LICENSE_DISSOCIATION_NOT_ALLOWED: Failed to dissociate vcf ops as consumed quantity is greater than 0 for license with id 95de9362-8c8e-4763-ada9-22c17ffec0bc.
{
"major_error_code": "LICENSE_OPERATION_VALIDATION_ERROR",
"minor_error_code": "INACTIVE_LICENSES_MODIFY_NOT_ALLOWED",
"message": "Inactive licenses can not be updated"
}
parameter_list
message
major_error_code
minor_error_code
Unauthorized
{
"major_error_code": "401",
"minor_error_code": "UNAUTHORIZED",
"message": "Authentication failed"
}
parameter_list
message
major_error_code
minor_error_code
Forbidden
{
"major_error_code": "403",
"minor_error_code": "ACCESS_DENIED",
"message": "Access Denied"
}
parameter_list
message
major_error_code
minor_error_code
Not Found
{
"major_error_code": "LICENSE_OPERATION_VALIDATION_ERROR",
"minor_error_code": "LICENSE_NOT_FOUND",
"message": "License with id 1151c020-e762-483e-aff5-d6686bb8f7c1 not found"
}
parameter_list
message
major_error_code
minor_error_code
Internal Server Error
{
"message": "Operation failed.",
"major_error_code": "LICENSE_ERROR",
"minor_error_code": "LICENSE_MANAGE_OPERATION_FAILED"
}
parameter_list
message
major_error_code
minor_error_code
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"operation":"string"}' https://{api_host}/vcf/license-mgmt/api/v1/tenants/{tenant_id}/licenses